use actix_web::web::ServiceConfig;
use serde::Deserialize;

mod location;
mod user;

#[derive(Deserialize)]
pub struct IdPath {
    pub id: i32
}

pub fn init(cfg: &mut ServiceConfig) {
    cfg.service(location::get_overview::get);

    cfg.service(user::get_overview::get_overview);
    cfg.service(user::get_new::get_new);
    cfg.service(user::post_new::post_new);
    cfg.service(user::get_edit::get_edit);
    cfg.service(user::post_edit::post_edit);
    cfg.service(user::patch::patch);
    cfg.service(user::delete::delete);
}
